1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

need help downgrading 2.81 to a 1.5

Discussion in 'Sony PSP - Mod and firmware discussion' started by epekbrick, Jun 9, 2007.

  1. epekbrick

    epekbrick Regular member

    Joined:
    May 9, 2007
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    26
    hey what up i need help if it's possible to downgrade a 2.81 psp to 1.5 back to a 3.03oe-c HELP?
     
  2. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46
  3. epekbrick

    epekbrick Regular member

    Joined:
    May 9, 2007
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    26
    um i went out looking for the gta lcs but no luck i went to like 5 different gamestop and they only had the umd with the gun in the front and the original one is the one with the brown background or something correct me if im wrong?
     
  4. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    it doesnt matter whats on the face of the UMD-mine has the guns, and its unpatched..just make sure you get the one that has the FW 2.0 updater-go back to the stores with your PSP and physically put the disc in your machine and test them out..I actually downgraded mine right in the store which took all of three minutes because I already had the downdaters on the memory stick, and then told the clerk "not interested,thanks" but now I own the game after the fact.
     
  5. epekbrick

    epekbrick Regular member

    Joined:
    May 9, 2007
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    26
    how would i know if i updated to 3.03 or anything on the UMD?
     
  6. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    that made no sense whatsoever....

    you need to update your firmware to sony official 3.03 (google it)-then once you do that, get an unpatched version of GTA:LCS along with the dark_alex 3.03 downgrader and then perform the downgrade per the instructions...

    when you put the game in the slot and under the UMD icon in the menu-it will have another icon saying either 2.0 update or 2.6 update-you want the UMD that has the 2.0 update..
     
  7. epekbrick

    epekbrick Regular member

    Joined:
    May 9, 2007
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    26
    ok i know but i dont want to buy the wrong game u know how would i know ? between patched and unpatched?
     
  8. epekbrick

    epekbrick Regular member

    Joined:
    May 9, 2007
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    26
    i have the 2.6 GTA: LCS can i do anything with this?
     
  9. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    no that wont help-you need the unpatched version which has the 2.0 firmware update...like I said..bring your PSP to the store with you and test them out.
     
    Last edited: Jun 10, 2007
  10. epekbrick

    epekbrick Regular member

    Joined:
    May 9, 2007
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    26
    ok i got it what do i do with it can u show me or reply back but step by step if possible?thanks
     
  11. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    Here is a tutorial for what you need..Remember you need to upgrade to FW 3.03 first, and then down to FW 1.50-after that, you can then upgrade to a custom firmware..Try psp-hacks.com also-they have the installers on there as well as more guides to help you downgrade..
     
  12. DTron

    DTron Member

    Joined:
    Sep 2, 2006
    Messages:
    90
    Likes Received:
    0
    Trophy Points:
    16
    OMG THIS IS SO REDICULOUS! I'm going to buy a PSP (I found one for $80 online) No clue which FW it is though. I hope it's a good one. I have to upgrade to downgrade to custome upgrade. And even then I need to get a game to do it. Ugh.... I don't know if GameStop will let me test it out or not...
     
  13. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    Indeed it is ridiculous, but so is being stuck with a PSP that only allows you to play $40 a pop UMD's-once you get your PSP in order, you'll find that it was all worth it!! You should also make sure of your firmware before buying it-you dont want to get a bargain on a PSP only to find out that you have firmware that cant be downgraded...Might want to ask first. As far as testing out games, if you just tell the clerk what you are looking for..chances are pretty good that they will know what you are talking about when you say you are looking to downgrade your PSP-although the unpatched GTA is getting pretty rare these days, and are selling for upwards of $40 for used ones on eBAy..

     
  14. CKhaleel

    CKhaleel Regular member

    Joined:
    Feb 26, 2007
    Messages:
    1,669
    Likes Received:
    0
    Trophy Points:
    46
    U can buy unpatched LCS at ebay.
     
  15. DTron

    DTron Member

    Joined:
    Sep 2, 2006
    Messages:
    90
    Likes Received:
    0
    Trophy Points:
    16
    Well I found another one that costs a bit more, but it's a ver. 1.5...

    If it's a version 1.5, do I NEEED to upgrad because I don't wanna screw it up and end up with the most awesome looking brick on the block.
     
  16. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    its worth it if someone already took the trouble of downgrading for you..

    As far as NEEDING to upgrade to custom firmware after 1.5-no, its not necessary, however it makes for playing your backup games alot easier because you dont need a game loader such as devhook or fastloader..you just drop the ISO files into the ISO folder on the memory stick and your in business- and quite frankly, the 1.5 firmware is pretty blah (IMO) because you dont have alot of the features such as internet browser and being able to customize your backgrounds and icons that you would find on a custom firmware..also in order to play games that require a higher firmware-you need an emulator (usually packaged with devhook) which is a program that runs off of your memory stick and makes the PSP think its running a higher FW so you can play your newer releases...

    Of course, its up to you whatever you decide..but the chances of bricking your PSP are the same as if you were to hit the network update on your PSP and getting the official sony firmware-anything that writes to your flash file has the possibility.
     

Share This Page